/*
                   Endeavour Compile Time Configuration
 */

#ifndef CONFIG_H
#define CONFIG_H


/*
 *	Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH	1


/*
 *      Program name and version:
 */
#define PROG_NAME       "Endeavour Mark II"
#define PROG_VERSION    "2.1.5"

#define PROG_VERSION_MAJOR      2
#define PROG_VERSION_MINOR      1
#define PROG_VERSION_RELEASE    5

#define PROG_COPYRIGHT	"\
Copyright (C) 1997-2002 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law.\n"


/*
 *      Credits lines:
 */
#define PROG_CREDITS_LINES   { \
 "        Director: Capt Taura Milana", \
 " ", \
 "     Programmers: Capt Taura Milana", \
 NULL \
}


/*
 *	GTK font names:
 */
#define PROG_GTK_FONT_NAME_PREF_BANNER   \
        "-adobe-helvetica-medium-r-normal-*-20-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_EDITABLE \
        "-adobe-courier-medium-r-*-*-14-*-*-*-*-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_TERMINAL \
        "-adobe-courier-medium-r-*-*-12-*-*-*-*-*-iso8859-1"

/* ```Fine print''' for license and other legal text. */
#define PROG_GTK_FONT_NAME_TEXT_LICENSE  \
        "-adobe-courier-medium-r-*-*-10-*-*-*-*-*-iso8859-1"

#define PROG_GTK_FONT_NAME_TEXT_HEADING1 \
        "-adobe-helvetica-medium-r-normal-*-24-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING2 \
        "-adobe-helvetica-medium-r-normal-*-20-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING3 \
        "-adobe-helvetica-medium-r-normal-*-18-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING4 \
        "-adobe-helvetica-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING5 \
        "-adobe-helvetica-medium-r-normal-*-12-*-*-*-p-*-iso8859-1"
#define PROG_GTK_FONT_NAME_TEXT_HEADING6 \
        "-adobe-helvetica-medium-r-normal-*-8-*-*-*-p-*-iso8859-1"


/*
 *	List of file format extensions supported by Imlib:
 */
#define IMLIB_IMAGE_FILE_EXTENSIONS	{ \
 ".bmp", ".gif", ".jpg", ".jpeg", ".pcx", \
 ".png", ".ppm", ".tga", ".xbm", ".xpm", \
 NULL \
}


/*
 *	Default local data directory (user's home directory will be 
 *	prefixed):
 */
#define EDV_DEF_LOCAL_DATA_DIR		".endeavour2"

/*
 *      Default global data directory:
 */
#define EDV_DEF_GLOBAL_DATA_DIR		"/usr/share/endeavour2"

/*
 *	Default configuration file (local data directory will be prefixed):
 */
#define EDV_DEF_CONFIG_FILE		"endeavour2.ini"


/*
 *	Default device icon files, these paths are initially set to all
 *	new device entries.
 */
#define EDV_DEF_DEVICE_ICON_SMALL_FILE	EDV_DEF_GLOBAL_DATA_DIR \
 "/icons/icon_drive_fixed_20x20.xpm"
#define EDV_DEF_DEVICE_ICON_MEDIUM_FILE	EDV_DEF_GLOBAL_DATA_DIR \
 "/icons/icon_drive_fixed_32x32.xpm"
#define EDV_DEF_DEVICE_ICON_LARGE_FILE	EDV_DEF_GLOBAL_DATA_DIR \
 "/icons/icon_drive_fixed_32x32.xpm"
/* Note we do not have a 48x48 icon just yet, so use 32x32 for now. */



/*
 *	Configuration format character constants:
 */
#define EDV_CFG_COMMENT_CHAR		'#'
#define EDV_CFG_DELIMINATOR_CHAR	'='


/*
 *	Paned widget handle and gutter size (in pixels):
 */
#define EDV_DEF_PANED_GUTTER_SIZE       10
#define EDV_DEF_PANED_HANDLE_SIZE       10

/*
 *	Vertical spacing of each item standard lists:
 */
#define EDV_LIST_ROW_SPACING		20

/*
 *	Spacing between pixmap and text in standard lists:
 */
#define EDV_LIST_PIXMAP_TEXT_SPACING	2

/*
 * 	Default progress bar displayed path length, this is the maximum
 *	number of characters a path displayed on the progress dialog can
 *	be. It should not be too long, so that it can be shortened to fit
 *	on the entire progress dialog.
 */
#define EDV_DEF_PROGRESS_BAR_PATH_DISPLAY_MAX	45

/*
 *	Default progress bar ticks:
 */
#define EDV_DEF_PROGRESS_BAR_TICKS	25

/*
 *	Default browser geometry:
 */
#define EDV_DEF_BROWSER_WIDTH		800
#define EDV_DEF_BROWSER_HEIGHT		600
#define EDV_DEF_BROWSER_PANED_POSITION	200

/*
 *	Default image browser geometry:
 */
#define EDV_DEF_IMBR_WIDTH		800
#define EDV_DEF_IMBR_HEIGHT		600
#define EDV_DEF_IMBR_PANED_POSITION	330

#define DEF_IMBR_THUMB_WIDTH		100
#define DEF_IMBR_THUMB_HEIGHT		90
#define DEF_IMBR_THUMB_BORDER		2


/*
 *	Default recycle bin geometry:
 */
#define EDV_DEF_RECBIN_WIDTH		640
#define EDV_DEF_RECBIN_HEIGHT		480


/*
 *	Default find window geometry:
 */
#define EDV_DEF_FINDWIN_WIDTH		640
#define EDV_DEF_FINDWIN_HEIGHT		400


/*
 *	Drag and drop target type names and info values:
 */
#define EDV_DND_TYPE_INFO_TEXT_PLAIN		0	/* "text/plain" */
#define EDV_DND_TYPE_INFO_TEXT_URI_LIST		1	/* "text/uri-list" */
#define EDV_DND_TYPE_INFO_STRING		2	/* "STRING" */

#define EDV_DND_TYPE_INFO_RECYCLED_OBJECT	3
#define EDV_DND_TYPE_STRING_RECYCLED_OBJECT	"endeavour_recycled_object"


/*
 *	List of disk object paths (always absolute path) that may never
 *	be deleted. Each entry consists of three pointers, the first
 *	pointer points to the full path of the disk object, the second is
 *	a pointer to an error message string that should be displayed if
 *	the object was attempted to be deleted, and the third pointer is
 *	casted to a gint to indicate an error level code from 0 to 2.
 *
 *	Error level code 0 means can delete and only print warning.
 *	Error level code 1 means can delete and ask user for confirmation.
 *	Error level code 2 means can never be deleted.
 *
 *	Last entry is a set of three NULL pointers.
 *
 *	In addition the user's home directory, endeavour local data 
 *	directory, and recycled objects directory objects may not be 
 *	deleted.
 */
#define EDV_NO_DELETE_LIST	{ \
{ "/", "Virtual File System (VFS) toplevel directory", 2 }, \
{ "/bin", "System programs directory", 1 }, \
{ "/etc", "System configuration directory", 1 }, \
{ "/lib", "System library directory", 1 }, \
{ "/sbin", "System server programs directory", 1 }, \
{ "/tmp", "System tempory files directory", 1 }, \
{ "/home", "Home directories for users", 1 }, \
{ "/usr", "System user directory", 1 }, \
{ "/var", "System runtime files directory", 1 }, \
{ NULL, NULL, 0 } \
}

/*
 *	Standard output help message:
 */
#define PROG_HELP_MESG	"\
Usage: endeavour2 [path] [options] [GUI_options]\n\
\n\
    [path] specifies the path to an alternate startup location.\n\
\n\
    [options] can be any of the following:\n\
\n\
        --rcfile <file>         Load configuration from <file>.\n\
        --config_file <file>    Same as --rcfile.\n\
        -f <file>               Same as --rcfile.\n\
        --no_splash             Do not show splash/load status on startup.\n\
	--file-browser		Start up with just the file browser.\n\
	--image-browser		Start up with just the image browser.\n\
	--recycle-bin		Start up with just the recycle bin.\n\
        --help                  Prints (this) help screen and exits.\n\
        --version               Prints version information and exits.\n\
\n\
    Most customizations can be performed in the customize and options\n\
    windows, see Settings menu.\n\
\n\
    Command line options override any options in the configuration\n\
    file.\n\
\n\
    [GUI_options] can be any options standard to your GUI, consult\n\
    your GUI's manual for available options.\n\
\n"



#endif	/* CONFIG_H */
